Bug 852123 - cannot connect two node when you zoomed out
cannot connect two node when you zoomed out
Status: ASSIGNED
Product: JBoss Enterprise BRMS Platform 5
Classification: JBoss
Component: jBPM 5 (Show other bugs)
BRMS 5.3.1
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tihomir Surdilovic
Sona Mala
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-27 12:23 EDT by Tihomir Surdilovic
Modified: 2012-10-24 12:28 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Cannot connect the sequence flow (Screenshot) (58.74 KB, image/png)
2012-09-19 06:10 EDT, Sona Mala
no flags Details
max zoom out (45.73 KB, image/png)
2012-09-19 11:14 EDT, Tihomir Surdilovic
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker JBPM-3639 Major Resolved cannot connect two node when you zoomed out. 2014-01-14 08:48:57 EST

  None (edit)
Description Tihomir Surdilovic 2012-08-27 12:23:00 EDT
1- click on zoom out button , until get the smallest canvas
2- put an start event on canvas
3- click on start event , to appear the Quick draw tools, and select task ( repeat this about 6 times)
4- put just a select a task from shape repository ,and put it on canvas 
5-select a flow from shape repository and put it on canvas 
6-try to connect 6'th to the 7'th task.
7- it does'nt work!!!!!
Comment 1 Sona Mala 2012-09-19 06:09:16 EDT
I cannot confirm that it is fix. I am able to reproduce this bug in BRMS 5.3.1 ER1 and designer version is 2.3.1-DEV.

If create the process and then zoom out the canvas... it is working (there is not any bug)

BUT!

If first zoom out the canvas and then create process ... it is bug ( screenshot is attached)
Comment 2 Sona Mala 2012-09-19 06:10:20 EDT
Created attachment 614300 [details]
Cannot connect the sequence flow (Screenshot)
Comment 3 Tihomir Surdilovic 2012-09-19 11:13:28 EDT
When you zoom out the top-left corder image should never move off the corner - attaching screenshot. 

Does this persist if you clear your browser cache and shift-reload the page? I am worried that if you are switching versions you may not be clearning the browser cache in between.
Comment 4 Tihomir Surdilovic 2012-09-19 11:14:17 EDT
Created attachment 614412 [details]
max zoom out

max zoom out - differs from screenshot showing the error
Comment 5 Tihomir Surdilovic 2012-09-19 11:17:21 EDT
confirmed there are some node moving issues when using max zoom out. looking into it

Note You need to log in before you can comment on or make changes to this bug.